Update one Feed search
curl --request PATCH \
--url https://app.puffle.ai/api/feed/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedUpdatedAt": "<string>",
"title": "<string>",
"description": "<string>",
"intent": "<string>",
"scheduleEnabled": true
}
'import requests
url = "https://app.puffle.ai/api/feed/{id}"
payload = {
"expectedUpdatedAt": "<string>",
"title": "<string>",
"description": "<string>",
"intent": "<string>",
"scheduleEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedUpdatedAt: '<string>',
title: '<string>',
description: '<string>',
intent: '<string>',
scheduleEnabled: true
})
};
fetch('https://app.puffle.ai/api/feed/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"search": {
"searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"scheduleEnabled": true,
"definitionHash": "<string>",
"intent": "<string>",
"sellerContext": "<string>",
"sourcePlans": [
{
"query": [
"<string>"
],
"reason": "<string>",
"resultTarget": {
"mode": "count",
"count": 4503599627370495
},
"geography": {
"mode": "explicit",
"countryCodes": [
"<string>"
],
"cityNames": [
"<string>"
]
},
"companySize": {
"min": 4503599627370495,
"max": 4503599627370495
},
"personCriteria": [
{
"id": "<string>",
"kind": "current_title",
"values": [
"<string>"
]
}
],
"unresolvedPreferences": [
"<string>"
],
"companyCriteria": [
{
"id": "<string>",
"value": "<string>"
}
],
"rankedCompanyCohort": {
"kind": "default",
"limit": 4503599627370495
}
}
],
"details": {
"channel": "<string>",
"signal": "<string>",
"expectedLead": "<string>",
"whyThisShouldWork": "<string>",
"plannerAssumedPreferences": [
"<string>"
]
},
"lastRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outboundCampaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leadCount": 4503599627370495,
"resultCount": 4503599627370495,
"contactedCount": 4503599627370495,
"nextRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"sourceId": "<string>",
"code": "<string>",
"alternatives": [
"<string>"
],
"retryable": true,
"alert": true,
"action": {
"type": "navigate",
"label": "<string>",
"href": "<string>"
}
}Feed
Update one Feed search
Update one Feed search
PATCH
/
api
/
feed
/
{id}
Update one Feed search
CLI:
puffle feed update --id <id>
puffle feed update --id <id> --title <title> --description <description> --intent <intent> --source-plan <source-plan> --schedule-enabled
Overview
Update one Feed search This page documentspatch /api/feed/{id}. Use the request and response sections on this page for accepted parameters, payload fields, response fields, and authentication behavior.
AI agent notes
- Confirm the operation matches the user’s intent before calling it.
- For write operations, confirm the user intends to change state.
- Surface validation, permission, and not-found errors instead of retrying unchanged.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Search updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I